<?php

    namespace Drupal\buckeye_bot\Form;

    use Drupal\Core\Form\ConfigFormBase;
    use Drupal\Core\Form\FormStateInterface;

    class BuckeyeBotConfigurationForm extends ConfigFormBase {

      protected function getEditableConfigNames() {
        return ['buckeye_bot.buckeye_bot_config'];
      }

      public function getFormId() {
        return 'buckeye_bot_configuration_form';
      }

      public function buildForm(array $form, FormStateInterface $form_state) {
        $config = $this->config('buckeye_bot.buckeye_bot_config');

        $buckeye_bot_status = $config->get('buckeye_bot_status');

        $form['intro'] = array(
          '#markup' => $this->t('<p>Controls the display of BuckeyeBot.</p>'),
        );

        $form['buckeye_bot_status'] = array(
          '#type' => 'checkbox',
          '#title' => $this->t('Activate BuckeyeBot'),
          '#default_value' => isset($buckeye_bot_status) ? $buckeye_bot_status : FALSE,
        );

        return parent::buildForm($form, $form_state);
      }

      public function submitForm(array &$form, FormStateInterface $form_state) {
        $config = $this->config('buckeye_bot.buckeye_bot_config');

        $config->set('buckeye_bot_status', $form_state->getValue('buckeye_bot_status'))->save();
     
        parent::submitForm($form, $form_state);
      }

      public function validateForm(array &$form, FormStateInterface $form_state) {
        parent::validateForm($form, $form_state);
      }
    }
